net.i2p.router.startup

## Class BootNetworkDbJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.startup.BootNetworkDbJob

All Implemented Interfaces:
  Job

    public class BootNetworkDbJob
    extends JobImpl

start up the network database

### Constructor Summary

Constructors
Constructor and Description
`BootNetworkDbJob(RouterContext ctx)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BootNetworkDbJob

    public BootNetworkDbJob(RouterContext ctx)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.